# class ParseContext | More...
Internal Use Only
Definition | `#include <ktraderparsetree.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { T_STRING = 1, T_DOUBLE = 2, T_NUM = 3, T_BOOL = 4, T_STR_SEQ = 5, T_SEQ = 6 }

#### Public Methods

- ParseContext ( const ParseContext* _ctx )
- ParseContext ( const KService::Ptr & _service, const KServiceTypeProfile::OfferList& _offers, QMap<QString,PreferencesMaxima>& _m )
- bool initMaxima ( const QString& _prop)

#### Public Members

- QString str
- int i
- double f
- bool b
- QValueList<QVariant> seq
- QStringList strSeq
- Type type
- KService::Ptr service
- QMap<QString,PreferencesMaxima>& maxima
- const KServiceTypeProfile::OfferList& offers

## Detailed Description

ParseContext ( const ParseContext* _ctx ) | ### ParseContext

This is NOT a copy constructor.

ParseContext ( const KService::Ptr & _service, const KServiceTypeProfile::OfferList& _offers, QMap<QString,PreferencesMaxima>& _m ) | ### ParseContext

bool initMaxima ( const QString& _prop) | ### initMaxima

enum Type { T_STRING = 1, T_DOUBLE = 2, T_NUM = 3, T_BOOL = 4, T_STR_SEQ = 5, T_SEQ = 6 } | ### Type

QString str | ### str

int i | ### i

double f | ### f

bool b | ### b

QValueList<QVariant> seq | ### seq

QStringList strSeq | ### strSeq

Type type | ### type

KService::Ptr service | ### service

QMap<QString,PreferencesMaxima>& maxima | ### maxima

const KServiceTypeProfile::OfferList& offers | ### offers

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.